Name: postgresql-odbc
Summary: PostgreSQL ODBC driver
Version: 08.02.0500
Release: 1%{?dist}
License: LGPLv2+
Group: Applications/Databases
URL: http://psqlodbc.projects.postgresql.org/

Source0: http://www.postgresql.org/ftp/odbc/versions/src/psqlodbc-%{version}.tar.gz
# CAUTION: acinclude.m4 has to be kept in sync with package's aclocal.m4.
# This is a kluge that ought to go away, but upstream currently isn't
# shipping their custom macros anywhere except in aclocal.m4.  (The macros
# actually come from the Postgres source tree, but we haven't got that
# available while building this RPM.)  To generate: in psqlodbc source tree,
#   aclocal -I . -I $PGSRC/config
# then strip aclocal.m4 down to just the PGAC macros.
Source1: acinclude.m4

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: unixODBC-devel
BuildRequires: libtool automake autoconf postgresql-devel
BuildRequires: openssl-devel krb5-devel pam-devel zlib-devel readline-devel

Requires: postgresql-libs >= 8.0

# This spec file and ancillary files are licensed in accordance with 
# the psqlodbc license.

%description
This package includes the driver needed for applications to access a
PostgreSQL system via ODBC (Open Database Connectivity).

%prep
%setup -q -n psqlodbc-%{version}

# Some missing macros.  Courtesy Owen Taylor <otaylor@redhat.com>.
cp -p %{SOURCE1} .

# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I .
automake --add-missing --copy
autoconf
autoheader

%build

# Note: we choose to build only the Unicode version of the driver, which
# we then install under the old library name "psqlodbc.so".  We are not
# adopting the "psqlodbcw.so" naming convention because current upstream
# plans are to revert back to the old name in the next release.  We can
# always track the name change later if they change their minds ...

%configure --with-unixodbc --with-odbcinst=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# rename as per above note, and remove the rather useless .la file
pushd ${RPM_BUILD_ROOT}%{_libdir}
	mv psqlodbcw.so psqlodbc.so
	rm psqlodbcw.la
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/psqlodbc.so
%doc license.txt readme.txt docs/*

%changelog
* Tue Mar 11 2008 Tom Lane <tgl@redhat.com> 08.02.0500-1.el5s2
- Update to version 08.02.0500

* Wed Apr 25 2007 Tom Lane <tgl@redhat.com> 08.02.0200-1.el5s2
- Update to version 08.02.0200

* Thu Sep 28 2006 Tom Lane <tgl@redhat.com> 08.01.0200-2.el4s1.3
- Rebuild to verify building in brew

* Fri Jul 21 2006 Tom Lane <tgl@redhat.com> 08.01.0200-2.el4s1.2
- rebuild

* Wed Mar 22 2006 Tom Lane <tgl@redhat.com> 08.01.0200-2.el4s1.1
- Change library name back to psqlodbc.so, because it appears that upstream
  will revert to that name in next release; no point in thrashing the name.
- Include documentation files unaccountably omitted before (bug #184158)

* Thu Feb  9 2006 Tom Lane <tgl@redhat.com> 08.01.0200-1.el4s1.1
- Adjust release string to meet convention established by stacks group.

* Wed Feb  8 2006 Tom Lane <tgl@redhat.com> 08.01.0200-1.RHEL4S1.1
- rebuild in Stacks branch

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 08.01.0200-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Tom Lane <tgl@redhat.com> 08.01.0200-1
- Update to version 08.01.0200.
- Upstream now calls the library psqlodbcw.so ... add a symlink to avoid
  breaking existing odbc configuration files.

* Wed Dec 14 2005 Tom Lane <tgl@redhat.com> 08.01.0102-1
- Update to version 08.01.0102.
- Add buildrequires postgresql-devel (bz #174505)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov  7 2005 Tom Lane <tgl@redhat.com> 08.01.0100-1
- Update to version 08.01.0100.

* Wed Mar  2 2005 Tom Lane <tgl@redhat.com> 08.00.0100-1
- Update to version 08.00.0100.

* Fri Nov 12 2004 Tom Lane <tgl@redhat.com> 7.3-9
- back-port 64-bit fixes from current upstream (bug #139004)

* Tue Sep 21 2004 Tom Lane <tgl@redhat.com> 7.3-8
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 10 2004 Tom Lane <tgl@redhat.com>
- Correct License: annotation.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Nov 21 2003 David Jee <djee@redhat.com> 7.3-5
- rebuild

* Wed Nov 05 2003 David Jee <djee@redhat.com> 7.3-4
- import new community version 07.03.0200

* Mon Sep 15 2003 Andrew Overholt <overholt@redhat.com> 7.3-3
- autotools fixes (courtesy Alex Oliva <aoliva@redhat.com> and 
  Owen Taylor <otaylor@redhat.com>)

* Tue Jul 08 2003 Andrew Overholt <overholt@redhat.com> 7.3-3
- allow use with unixODBC (courtesy Troels Arvin) [Bug #97998]

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 02 2003 Andrew Overholt <overholt@redhat.com> 7.3-1
- sync to new community version (07.03.0100 => v7.3, r1)

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1-2
- rebuild

* Tue Jan 14 2003 Andrew Overholt <overholt@redhat.com>
- 1-1
- initial build (just took old package sections)
